de.esprit.common.util

## Class DumpableObject

- java.lang.Object
- - de.esprit.common.util.DumpableObject

- All Implemented Interfaces:
    Dumpable
  Direct Known Subclasses:
    AbstractApplicationObject, AbstractByteBufferStore, AbstractPermissionConfig, AccessCounter, App, AppDescriptor, AppLaunchPrefs, ApplicationEnvironment, ApplyEvent, AppVersion, ArchiveConfig, ArchiveEntry, ArchiveInputEntry, ArchiveInputList, AsciiWord, CommandLineOption, DBColumnChoice, DumpableAdapter, EnvStore, FieldCheckList, FileEntry, IndexChangeEvent, InputValidator, IntArray, License, LogFormatter, LogSupportAdapter, ModifyFlag, NdfStructure, NdfTable, PathTreeNode, PrimaryKeyFactory, ReplacementMap, SimpleAsciiLine, SimpleLogSupportAdapter, SoftwareVersion, StateChangeEvent, TransferableObject, UrlStack, WindowsRegistryNode, WizzardEvent, XmlDatabase, XmlTable

      public abstract class DumpableObject
      extends java.lang.Object
      implements Dumpable

  This is the base class for all `Dumpable` objects. It has default implementations for all methods of `Dumpable`. Subclasses are supposed to override `toString(ToString)` and `toDumpString(DumpString)` in order to fill the values of their instance variables.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DumpableObject()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `configureDumpHeadlineLength()`
    `protected int` | `configureDumpMaxElementsPrinted()`
    `protected ToString` | `copyDumpStringValues(ToString s)`
    `protected DumpString` | `copyToStringValues(DumpString s)`
    `protected java.lang.String` | `createDumpHeader()`
    `java.lang.String` | `toDumpString()` Note that this method returns a String with platform specific line breaks.
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `java.lang.String` | `toString()` Returns a single line String that shows the values of the most important state variables of this object.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DumpableObject

          public DumpableObject()

  - ### Method Detail

    - #### toDumpString

          public java.lang.String toDumpString()

      Note that this method returns a String with platform specific line breaks. Therefore it can be directly written to any Writer.
      Specified by:
        `toDumpString` in interface `Dumpable`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `Dumpable`
      Returns a single line String that shows the values of the most important state variables of this object. This is intentionally the same toString() method which is already provided by Object per se.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`

    - #### copyToStringValues

          protected DumpString copyToStringValues(DumpString s)

    - #### copyDumpStringValues

          protected ToString copyDumpStringValues(ToString s)

    - #### createDumpHeader

          protected java.lang.String createDumpHeader()

    - #### configureDumpHeadlineLength

          protected int configureDumpHeadlineLength()

    - #### configureDumpMaxElementsPrinted

          protected int configureDumpMaxElementsPrinted()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.